tvbrowser.ui.mainframe.actions

## Class TVBrowserActions

- java.lang.Object
- - tvbrowser.ui.mainframe.actions.TVBrowserActions

-     public final class TVBrowserActions
      extends java.lang.Object

  common TV-Browser actions
  Author:
    bananeweizen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TVBrowserAction` | `columnWidthDefault` set column width to default size
    `static TVBrowserAction` | `columnWidthDefaultNumPad` set column width to default size
    `static TVBrowserAction` | `columnWidthLarger` increase program table column width
    `static TVBrowserAction` | `columnWidthLargerNumPad` increase program table column width
    `static TVBrowserAction` | `columnWidthSmaller` decrease program table column width
    `static TVBrowserAction` | `columnWidthSmallerNumPad` decrease program table column width
    `static TVBrowserAction` | `configureChannels` configure channels action
    `static TVBrowserAction` | `filter` show filter popup menu
    `static TVBrowserAction` | `fontSizeDefault` set program table font size to default
    `static TVBrowserAction` | `fontSizeDefaultNumPad` set program table font size to default
    `static TVBrowserAction` | `fontSizeLarger` increase program table font size
    `static TVBrowserAction` | `fontSizeLargerNumPad`
    `static TVBrowserAction` | `fontSizeSmaller` decrease program table font size
    `static TVBrowserAction` | `fontSizeSmallerNumPad` decrease program table font size
    `static TVBrowserAction` | `fullScreen` switch full screen action
    `static TVBrowserAction` | `goToDate` scroll to date (popup menu) action
    `static TVBrowserAction` | `goToNextDay` next day action
    `static TVBrowserAction` | `goToNextWeek` next week action
    `static TVBrowserAction` | `goToPreviousDay` previous day action
    `static TVBrowserAction` | `goToPreviousWeek` previous week action
    `static TVBrowserAction` | `goToToday` today action
    `static TVBrowserAction` | `pluginView` show/hide plugin view action
    `static TVBrowserAction` | `scrollToChannel` scroll to channel (popup menu) action
    `static TVBrowserAction` | `scrollToNow` scroll to now action
    `static TVBrowserAction` | `scrollToTime` scroll to time (popup menu) action
    `static TVBrowserAction` | `settings` open settings dialog
    `static TVBrowserUpdateAction` | `update` start/stop data update

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TVBrowserActions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<TVBrowserAction>` | `getActions()`
    `static void` | `register(TVBrowserAction tvBrowserAction)` register this action, so we can iterate over all actions later

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fontSizeLarger

          public static final TVBrowserAction fontSizeLarger

      increase program table font size

    - #### fontSizeLargerNumPad

          public static final TVBrowserAction fontSizeLargerNumPad

    - #### fontSizeSmaller

          public static final TVBrowserAction fontSizeSmaller

      decrease program table font size

    - #### fontSizeSmallerNumPad

          public static final TVBrowserAction fontSizeSmallerNumPad

      decrease program table font size

    - #### fontSizeDefault

          public static final TVBrowserAction fontSizeDefault

      set program table font size to default

    - #### fontSizeDefaultNumPad

          public static final TVBrowserAction fontSizeDefaultNumPad

      set program table font size to default

    - #### columnWidthLarger

          public static final TVBrowserAction columnWidthLarger

      increase program table column width

    - #### columnWidthLargerNumPad

          public static final TVBrowserAction columnWidthLargerNumPad

      increase program table column width

    - #### columnWidthSmaller

          public static final TVBrowserAction columnWidthSmaller

      decrease program table column width

    - #### columnWidthSmallerNumPad

          public static final TVBrowserAction columnWidthSmallerNumPad

      decrease program table column width

    - #### columnWidthDefault

          public static final TVBrowserAction columnWidthDefault

      set column width to default size

    - #### columnWidthDefaultNumPad

          public static final TVBrowserAction columnWidthDefaultNumPad

      set column width to default size

    - #### update

          public static final TVBrowserUpdateAction update

      start/stop data update

    - #### settings

          public static final TVBrowserAction settings

      open settings dialog

    - #### filter

          public static final TVBrowserAction filter

      show filter popup menu

    - #### pluginView

          public static final TVBrowserAction pluginView

      show/hide plugin view action

    - #### scrollToNow

          public static final TVBrowserAction scrollToNow

      scroll to now action

    - #### goToPreviousDay

          public static final TVBrowserAction goToPreviousDay

      previous day action

    - #### goToToday

          public static final TVBrowserAction goToToday

      today action

    - #### goToNextDay

          public static final TVBrowserAction goToNextDay

      next day action

    - #### goToPreviousWeek

          public static final TVBrowserAction goToPreviousWeek

      previous week action

    - #### goToNextWeek

          public static final TVBrowserAction goToNextWeek

      next week action

    - #### goToDate

          public static final TVBrowserAction goToDate

      scroll to date (popup menu) action

    - #### scrollToChannel

          public static final TVBrowserAction scrollToChannel

      scroll to channel (popup menu) action

    - #### scrollToTime

          public static final TVBrowserAction scrollToTime

      scroll to time (popup menu) action

    - #### fullScreen

          public static final TVBrowserAction fullScreen

      switch full screen action

    - #### configureChannels

          public static final TVBrowserAction configureChannels

      configure channels action

  - ### Constructor Detail

    - #### TVBrowserActions

          public TVBrowserActions()

  - ### Method Detail

    - #### register

          public static void register(TVBrowserAction tvBrowserAction)

      register this action, so we can iterate over all actions later
      Parameters:
        `tvBrowserAction` -

    - #### getActions

          public static java.util.List<TVBrowserAction> getActions()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)